Error
A valid request URL is required to generate request examples{
"stack_resource_id": "stack_resource_id",
"source_revision": {
"volume_source_revision": {
"current_volume_hash": "current_volume_hash"
},
"git_repo_revision": {
"commit": "commit",
"tag": "tag",
"branch": "branch"
}
},
"updated_at": "2000-01-23T04:56:07.000Z",
"image_repo": "image_repo",
"stack_id": "stack_id",
"namespace": "namespace",
"created_at": "2000-01-23T04:56:07.000Z",
"build_context": {
"volume": {
"name": "name",
"id": "id"
},
"git_repo": {
"repo_url": "repo_url"
}
},
"id": "id",
"stack_resource_name": "stack_resource_name",
"status": {
"build_source_revision": "build_source_revision",
"image_url": "image_url",
"state": "state",
"last_build_failure_detail": {
"reason": "reason",
"restart_count": 0,
"failure_type": "crash_loop",
"exit_code": 6,
"message": "message"
},
"conditions": [
{
"reason": "reason",
"last_transition_time": "2000-01-23T04:56:07.000Z",
"type": "type",
"message": "message",
"observed_generation": 1,
"status": "status"
},
{
"reason": "reason",
"last_transition_time": "2000-01-23T04:56:07.000Z",
"type": "type",
"message": "message",
"observed_generation": 1,
"status": "status"
}
]
}
}{
"id": "<string>",
"kind": "<string>",
"href": "<string>",
"code": "<string>",
"reason": "<string>",
"operation_id": "<string>",
"details": {}
}Builds, logs, and metrics
Get a specific build under a stack
GET
/
api
/
v1
/
organizations
/
{org_id}
/
projects
/
{project_name}
/
stacks
/
{id}
/
builds
/
{build_id}
Error
A valid request URL is required to generate request examples{
"stack_resource_id": "stack_resource_id",
"source_revision": {
"volume_source_revision": {
"current_volume_hash": "current_volume_hash"
},
"git_repo_revision": {
"commit": "commit",
"tag": "tag",
"branch": "branch"
}
},
"updated_at": "2000-01-23T04:56:07.000Z",
"image_repo": "image_repo",
"stack_id": "stack_id",
"namespace": "namespace",
"created_at": "2000-01-23T04:56:07.000Z",
"build_context": {
"volume": {
"name": "name",
"id": "id"
},
"git_repo": {
"repo_url": "repo_url"
}
},
"id": "id",
"stack_resource_name": "stack_resource_name",
"status": {
"build_source_revision": "build_source_revision",
"image_url": "image_url",
"state": "state",
"last_build_failure_detail": {
"reason": "reason",
"restart_count": 0,
"failure_type": "crash_loop",
"exit_code": 6,
"message": "message"
},
"conditions": [
{
"reason": "reason",
"last_transition_time": "2000-01-23T04:56:07.000Z",
"type": "type",
"message": "message",
"observed_generation": 1,
"status": "status"
},
{
"reason": "reason",
"last_transition_time": "2000-01-23T04:56:07.000Z",
"type": "type",
"message": "message",
"observed_generation": 1,
"status": "status"
}
]
}
}{
"id": "<string>",
"kind": "<string>",
"href": "<string>",
"code": "<string>",
"reason": "<string>",
"operation_id": "<string>",
"details": {}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The ID of the organization
The name of the project
The id of record
The ID of the build
Response
Successful operation
Show child attributes
Show child attributes
Example:
{
"volume_source_revision": {
"current_volume_hash": "current_volume_hash"
},
"git_repo_revision": {
"commit": "commit",
"tag": "tag",
"branch": "branch"
}
}
Show child attributes
Show child attributes
Example:
{
"volume": { "name": "name", "id": "id" },
"git_repo": { "repo_url": "repo_url" }
}
Show child attributes
Show child attributes
Example:
{
"build_source_revision": "build_source_revision",
"image_url": "image_url",
"state": "state",
"last_build_failure_detail": {
"reason": "reason",
"restart_count": 0,
"failure_type": "crash_loop",
"exit_code": 6,
"message": "message"
},
"conditions": [
{
"reason": "reason",
"last_transition_time": "2000-01-23T04:56:07.000Z",
"type": "type",
"message": "message",
"observed_generation": 1,
"status": "status"
},
{
"reason": "reason",
"last_transition_time": "2000-01-23T04:56:07.000Z",
"type": "type",
"message": "message",
"observed_generation": 1,
"status": "status"
}
]
}
⌘I